/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the style module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qstyleplugin.h>
#include <qmotifplusstyle.h>

class MotifPlusStyle : public QStylePlugin
{
public:
    MotifPlusStyle();

    QStringList keys() const;
    QStyle *create(const QString&);

};

MotifPlusStyle::MotifPlusStyle()
: QStylePlugin()
{
}

QStringList MotifPlusStyle::keys() const
{
    QStringList list;
    list << "MotifPlus";
    return list;
}

QStyle* MotifPlusStyle::create(const QString& s)
{
    if (s.toLower() == "motifplus")
        return new QMotifPlusStyle();

    return 0;
}

Q_EXPORT_PLUGIN(MotifPlusStyle)

